Skip to content

Wowza Video REST API Reference Documentation (v1.11)

API lifecycle phase: Supported 2

Want to take the API for a test run?

All you'll need is a Wowza Video subscription, or free trial, for the API access token. Then, fork our collection in Postman and you'll be making calls to our REST API in minutes!

See Trial the Wowza Video REST API using Postman for more information.

This reference documentation provides details about the operations, parameters, and request and reponse schemas for every resource and endpoint in the Wowza Video REST API. Samples appear in the right column. Sample requests are presented in cURL (Shell) and JavaScript; some samples also include just the JSON object. Response samples are all JSON. Examples in cURL use environment variables so you can easily copy and paste them. To learn more, see Using cURL.

Reference documentation is available for every version of the API. Use the Version menu at the top of the page to access the reference doc for a different version of the API.

Download OpenAPI description
Overview
License
Languages
Servers
Mock server
https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi
https://api.video.wowza.com/api/v1.11

Live Streams

Operations related to live streams. A live stream is a single, linear video broadcast. You broadcast a live stream by receiving encoded source video into the Wowza Video service and letting Wowza Video transcode the stream and deliver it to viewers. A live stream is essentially a one-stop method for creating a transcoder, output renditions, stream targets, and associated players.

Operations

Players

Operations related to players, which are created through the /live_streams resource. Players created through Wowza Video live streams can be embedded into your own web page or played through a web page hosted by Wowza Video.

Operations

Transcoders

Operations related to transcoders, output renditions, and output stream targets.

Operations

Stream Sources

Operations related to stream sources. You can create a Wowza stream source and associate it to a live stream or transcoder.

Operations

Stream Targets

Operations related to stream targets. A stream target is a destination for a stream. Stream targets can be Wowza Video edge resources; custom, external destinations target destinations.

Operations

Assets

Operations related to assets, which are created through the /assets resources. The Wowza Video service can store and transcode mp4 files that you can tag, manage, and restream.

Operations

Recordings

Operations related to recordings, which are created through the /live_streams or /transcoders resources. The Wowza Video service can create MP4 recordings of your live streams and transcoded output. Recordings can be downloaded and saved locally. They're based on the highest-bitrate output rendition that Wowza Video generates from your video source. See About recordings to learn more.

Operations

Schedules

Operations related to schedules. Schedules allow you to automatically start or stop a live stream or transcoder at a predetermined date and time. You can configure a schedule to start and/or stop a live stream or transcoder just once, or you can configure it to repeat the behavior on a regular basis. See About schedules to learn more.

Operations

VOD Streams

Operations related to video on demand (VOD) streams, which are created through the /live_streams or /transcoders resources. A VOD stream is a recording of a live stream that viewers can replay at a later date. After the broadcast is over and the live stream or transcoder is stopped, Wowza Video creates the VOD stream and generates a playback URL. See About VOD Streams to learn more.

Operations

Real-Time Streams

Operations related to Real-Time Streaming at Scale. If your audience is fewer than 300 viewers or you want to deliver a stream in near real time alongside other delivery protocols, use our WebRTC solution.

To enable and purchase capacity for Real-Time Streaming at Scale for your account and access the /real_time operations, contact 720.279.8163 or schedule a call.
Operations

Viewers

Operations related to viewer analytics.

Operations

Ingest

Operations related to ingest analytics for a live stream.

Operations

Engagement

Operations related to engagement analytics for a VOD stream.

Operations

Popularity

Operations related to popularity analytics.

Operations

Account

Operations related to stream analytics for an account.

Operations

Transcoders

Operations related to transcoder analytics.

Operations

Fetch usage for all transcoders

Request

This operation shows the amount of usage (egress) for all transcoders in the account. The default time frame is from the last billing date to the end of the current day.

Query
fromstring(date-time)

The start of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter.

You can also specify last_bill_date.

Default: last billing date

tostring(date-time)

The end of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter.

You can also specify last_bill_date.

Default: end of the current day

pageinteger

Returns a paginated view of results from the HTTP request. Specify a positive integer to indicate which page of the results should be displayed. The default is 1.

For more information and examples, see Get paginated query results with the Wowza Video REST API.

per_pageinteger

For use with the page parameter. Indicates how many records should be included in a page of results. A valid value is any positive integer. The default and maximum value is 1000.

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/usage/transcoders?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&page=0&per_page=0'

Responses

Success

Bodyapplication/json
transcodersobject
Example: [{"id":"bbrjj3ml","name":"transcoder name","archived":false,"transcoder_type":"transcoded","billing_mode":"pay_as_you_go","egress_bytes":0,"egress_seconds":44,"egress_seconds_additional_targets":23},{"id":"mertj8nd","name":"my other transcoder","archived":false,"transcoder_type":"transcoded","billing_mode":"pay_as_you_go","egress_bytes":80384481,"egress_seconds":158,"egress_seconds_additional_targets":0}]
paginationobject

Page information for the results generated by the query.

Example: {"payload_version":"1.0","total_records":2130,"page":3,"per_page":3,"total_pages":710,"page_first_index":6,"page_last_index":8}
limitsobject

The time frame represented in the response.

Example: {"from":"2019-10-01T07:00:00.000Z","to":"2019-10-16T11:00:00.000Z"}
Response
application/json
{ "transcoders": [ {}, {} ], "pagination": { "payload_version": "1.0", "total_records": 2130, "page": 3, "per_page": 3, "total_pages": 710, "page_first_index": 6, "page_last_index": 8 }, "limits": { "from": "2019-10-01T07:00:00.000Z", "to": "2019-10-16T11:00:00.000Z" } }

Fetch usage for a single transcoder

Request

(Available from version 1.4) This operation shows the amount of usage (egress) for a specific transcoder. The default time frame is from the last billing date to the end of the current day.

Path
idstringrequired

The unique alphanumeric string that identifies the transcoder.

Query
fromstring(date-time)

The start of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter.

You can also specify last_bill_date.

Default: last billing date

tostring(date-time)

The end of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter.

You can also specify last_bill_date.

Default: end of the current day

includestring

Specify the data you want returned in the response. You can send a comma-separated list of values.

Valid value is: trend.

Example: trend

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/usage/transcoders/{id}?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&include=string'

Responses

Success

Bodyapplication/json
transcodersobject
limitsobject

The time frame represented in the response.

Example: {"from":"2019-10-01T07:00:00.000Z","to":"2019-10-16T11:00:00.000Z"}
Response
application/json
{ "transcoder": { "id": "bbrjj3ml", "name": "transcoder name", "archived": false, "transcoder_type": "transcoded", "billing_mode": "pay_as_you_go", "egress_bytes": 0, "egress_seconds": 44, "egress_seconds_additional_targets": 23, "viewing_seconds": 90, "viewing_bytes": 49, "trend": [] }, "limits": { "from": "2019-10-01T07:00:00.000Z", "to": "2019-10-16T11:00:00.000Z" } }

Fetch transcoder usage summary

Request

(Available from version 1.4) This operation shows a summary of the amount of usage (egress) for all transcoders in the account. The default time frame is from the last billing date to the end of the current day.

Query
fromstring(date-time)

The start of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter.

You can also specify last_bill_date.

Default: last billing date

tostring(date-time)

The end of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter.

You can also specify last_bill_date.

Default: end of the current day

curl -i -X GET \
  'https://developer.wowza.com/_mock/docs/wowza-video/api/video/v1.11/openapi/usage/transcoders/summary?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z'

Responses

Success

Bodyapplication/json
summaryobject
Example: {"egress_bytes":3000,"egress_seconds":300,"configurations":[{"transcoder_type":"transcoded","billing_mode":"pay_as_you_go","egress_bytes":1000,"egress_seconds":200},{"transcoder_type":"passthrough","billing_mode":"twentyfour_seven","egress_bytes":2000,"egress_seconds":100}]}
limitsobject

The time frame represented in the response.

Example: {"from":"2019-02-15T00:00:00.000Z","to":"2019-09-24T00:00:00.000Z"}
Response
application/json
{ "summary": { "egress_bytes": 3000, "egress_seconds": 300, "configurations": [] }, "limits": { "from": "2019-02-15T00:00:00.000Z", "to": "2019-09-24T00:00:00.000Z" } }

Stream Targets

Operations related to stream target analytics, including CDN usage and viewer data.

Operations

Storage

Operations related to peak storage for an account. You can use this operation to show the amount of peak recording and VOD stream storage used by your account.

Operations

VOD Streams

Operations related to video on demand (VOD) stream analytics.

Operations

Real Time Streams

Operations related to real-time streams analytics.

Operations